#!/bin/bash

VERSION=$(grep Bundle-Version "$WORKSPACE"/plugins/org.hawk.core/META-INF/MANIFEST.MF | \
              cut --delim=: -f2 | \
              sed -re 's/ *([0-9]+)[.]([0-9]+)[.].*/\1.\2.0/')
DIST_DIR="/home/data/httpd/download.eclipse.org/hawk/$VERSION"
SSH_USER=genie.hawk@projects-storage.eclipse.org

echo "Creating downloads for Hawk ${VERSION} at ${DIST_DIR}"

ssh "$SSH_USER" rm -rf "$DIST_DIR"
ssh "$SSH_USER" mkdir -p "$DIST_DIR"
scp -r "$WORKSPACE/releng/org.hawk.updatesite/target/repository" "$SSH_USER":"${DIST_DIR}/updates"
scp "$WORKSPACE"/releng/org.hawk.service.server.product/target/products/hawk-server-nogpl_*.zip "$SSH_USER":"${DIST_DIR}/"
scp "$WORKSPACE"/releng/org.hawk.service.cli.product/target/products/hawk-cli_*.zip "$SSH_USER":"${DIST_DIR}/"
scp "$WORKSPACE"/releng/org.hawk.updatesite/target/org.hawk.updatesite-*.zip "$SSH_USER":"${DIST_DIR}/"

# Build source ZIP file (requested by Horacio)
pushd "$WORKSPACE"
SOURCES_BASENAME="hawk-sources-$VERSION-$(git rev-parse --short HEAD)"
git archive --format=zip --prefix="${SOURCES_BASENAME}/" -o "${SOURCES_BASENAME}.zip" HEAD
scp "${SOURCES_BASENAME}.zip" "$SSH_USER":"${DIST_DIR}/"
popd

pushd "$WORKSPACE"/plugins-server/org.hawk.service.api
HAWK_THRIFT_JS="hawk-thrift-js-$VERSION.tar.gz"
HAWK_THRIFT_CPP="hawk-thrift-cpp-$VERSION.tar.gz"
tar czf "$HAWK_THRIFT_JS" src-gen-js
tar czf "$HAWK_THRIFT_CPP" src-gen-cpp
scp "$HAWK_THRIFT_JS" "$SSH_USER":"$DIST_DIR/"
scp "$HAWK_THRIFT_CPP" "$SSH_USER":"$DIST_DIR/"
popd
